Subject: Re: bug#18716: 24.3; dired-omit-extensions's default value omits COPYING.LIB

From: Stefan Monnier <[email-masked]>
Date: Wed, 15 Oct 2014 23:09:49 -0400

> Perhaps it should be COPYING.LESSER.

Why?  If your software uses the LGPL, surely the file that holds the
copying rules should be called "COPYING" or "LICENSE" but not some name
with a funny ".LESSER" extension (which luckily corresponds to no known
format yet).  IF you want a different name depending on which license is
in use, it seems that "GPL-LICENSE" and "LGPL-LICENSE" would be better
choices.  Of course, I'd also argue in favor of a proper extension
(e.g. ".txt") and against the use of allcaps.

        Stefan